<?php
/**
 * Output of the single player twitch.
 *
 * @package cyberpress/templates
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

// phpcs:disable WordPress.NamingConventions.PrefixAllGlobals.NonPrefixedVariableFound

$player              = cyberpress()->get_the_player();
$player_twitch_url   = $player->get_twitch_channel_url();
$player_twitch_embed = $player->get_twitch_player_oembed();

if ( $player_twitch_url ) : ?>
    <h3><?php echo esc_html__( 'Twitch', 'cyberpress' ); ?></h3>
    <?php echo wp_kses( $player_twitch_embed, cyberpress()->get_kses_allowed_iframe() ); ?>
<?php endif; ?>
